<?php
/*********************************************************************************************
Registers Custom Slider Post Type
*********************************************************************************************/
function wpt_slider_posttype() {
$labels = array(
    'name' 					=> __( 'Slides', 'bhardwajaframework' ),
    'singular_name' 		=> __( 'Slide Item', 'bhardwajaframework' ),
    'add_new' 				=> __( 'Add New Item', 'bhardwajaframework' ),
    'add_new_item' 			=> __( 'Add New Slide Item', 'bhardwajaframework' ),
    'edit_item' 			=> __( 'Edit Slide Item', 'bhardwajaframework' ),
    'new_item' 				=> __( 'Add New Slide Item', 'bhardwajaframework' ),
    'view_item'				=> __( 'View Item', 'bhardwajaframework' ),
    'search_items' 			=> __( 'Search Slide', 'bhardwajaframework' ),
    'not_found' 			=> __( 'No slide items found', 'bhardwajaframework' ),
    'not_found_in_trash' 	=> __( 'No slide items found in trash', 'bhardwajaframework' )
);

$args = array(
    'labels' 				=> $labels,
    'public' 				=> true,
	'publicly_queryable'    => true,
	'show_ui'               => true,
	'query_var'             => true,
	'permalink_epmask'      => true,
    'supports' 				=> array( 'title','page-attributes' ),
	'rewrite'               => array( 'slug' => 'featured', 'with_front' => false ),
    'menu_position' 		=> 5,
	'show_in_menu'          => true,
    'has_archive' 			=> true
	
);
register_post_type( 'featured', $args);
}

add_action( 'init', 'wpt_slider_posttype' );
$labels = array(
    'name'                          => __( 'Sliders', 'bhardwajaframework' ),
    'singular_name'                 => __( 'Slider', 'bhardwajaframework' ),
    'search_items'                  => __( 'Search Sliders', 'bhardwajaframework' ),
    'popular_items'                 => __( 'Popular Sliders', 'bhardwajaframework' ),
    'all_items'                     => __( 'All Sliders', 'bhardwajaframework' ),
    'parent_item'                   => __( 'Parent Slider', 'bhardwajaframework' ),
    'edit_item'                     => __( 'Edit Slider', 'bhardwajaframework' ),
    'update_item'                   => __( 'Update Slider', 'bhardwajaframework' ),
    'add_new_item'                  => __( 'Add New Slider', 'bhardwajaframework' ),
    'new_item_name'                 => __( 'New Slider', 'bhardwajaframework' ),
    'separate_items_with_commas'    => __( 'Separate Sliders with commas', 'bhardwajaframework' ),
    'add_or_remove_items'           => __( 'Add or remove Sliders', 'bhardwajaframework' ),'',
    'choose_from_most_used'         => __( 'Choose from most used Sliders', 'bhardwajaframework' )
    );

$args = array(
    'label'                         => __( 'Sliders', 'bhardwajaframework' ),
    'labels'                        => $labels,
    'public'                        => true,
    'hierarchical'                  => true,
    'show_ui'                       => true,
    'show_in_nav_menus'             => true,
    'args'                          => array( 'orderby' => 'term_order' ),
    'rewrite'                       => array( 'slug' => 'sliders', 'with_front' => false ),
    'query_var'                     => true
);

register_taxonomy( 'sliders', 'featured', $args );


// Styling for the custom post type icon
add_action( 'admin_head', 'wpt_slider_icons' );
function wpt_slider_icons() {
    ?>
    <style type="text/css" media="screen">
        #menu-posts-slider .wp-menu-image {
            background: url(<?php echo get_template_directory_uri(); ?>/admin/images/slider-icon.png) no-repeat 6px 6px !important;
        }
		#menu-posts-slider:hover .wp-menu-image, #menu-posts-slider.wp-has-current-submenu .wp-menu-image {
            background-position:6px -16px !important;
        }
		#icon-edit.icon32-posts-slider {background: url(<?php echo get_template_directory_uri(); ?>/admin/images/slider-32x32.png) no-repeat;}
    </style>
<?php }

?>
<?php
// GET PORTFOLIO IMAGE  
function wpt_get_slide_image($post_ID) {  
    $post_thumbnail_id = get_image_id_by_link ( get_post_meta($post_ID, '_responsive_slider_image', true) );
    if ($post_thumbnail_id) {  
        $post_thumbnail_img = wp_get_attachment_image_src($post_thumbnail_id, 'small');  
        return $post_thumbnail_img[0];  
    }  
}  


function wpt_slide_columns_head($defaults) {  
    $defaults['slide_caption'] = 'Slide Caption'; 
    $defaults['slider'] = 'Slider';
    $defaults['slide_image'] = 'Slide Image'; 
    
    return $defaults;  
}  
  
// SHOW THE FEATURED IMAGE  
function wpt_slide_columns_content ( $column, $post_id ) {
    switch ( $column ) {
        case 'slide_image':
            $post_slide_image = wpt_get_slide_image($post_id);  
            if ($post_slide_image) {  
                echo '<img src="' . $post_slide_image . '" />';  
            }
            break;
        case 'slider':
            $terms = get_the_terms( $post_id , 'sliders' , '' , ',' , '' );
            if ( count( $terms ) > 0 ) {
                foreach ( $terms as $term ) {
                    echo  $term->name . ' ';
                }
            } else {
                echo 'Unable to get slider(s)';
            }
            break;
        case 'slide_caption':
            echo get_post_meta($post_id, '_responsive_slider_caption_text', true);
            break;
    }  
} 
 
// ADDS EXTRA INFO TO ADMIN MENU FOR PORTFOLIO POST TYPE
add_filter("manage_edit-featured_columns", "wpt_slide_columns_head");
add_action("manage_featured_posts_custom_column", "wpt_slide_columns_content", 10, 2 );
?>