<!doctype html>
<!--[if IEMobile 7 ]> <html <?php language_attributes(); ?>class="no-js iem7"> <![endif]-->
<!--[if lt IE 7 ]> <html <?php language_attributes(); ?> class="no-js ie6 oldie"> <![endif]-->
<!--[if IE 7 ]>    <html <?php language_attributes(); ?> class="no-js ie7 oldie"> <![endif]-->
<!--[if IE 8 ]>    <html <?php language_attributes(); ?> class="no-js ie8 oldie"> <![endif]-->
<!--[if (gte IE 9)|(gt IEMobile 7)|!(IEMobile)|!(IE)]><!--><html <?php language_attributes(); ?> class="no-js"><!--<![endif]-->
<head>
    <meta charset="utf-8">
        <!--[if ie]><meta content='IE=edge,chrome=1' http-equiv='X-UA-Compatible'/><![endif]-->
        <title><?php wp_title( ' - ', true, 'right' ); ?> <?php bloginfo('name'); ?></title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <?php if ( of_get_option('responsive_enablemeta')== '1') { ?>
                <!-- meta -->
                <meta name="description" content="<?php echo of_get_option('responsive_metadescription')  ?>">
                <meta name="keywords" content="<?php wp_title('' , true, right); ?>, <?php echo of_get_option('responsive_metakeywords')  ?>" />
                <meta name="revisit-after" content="<?php echo of_get_option('responsive_revisitafter')  ?> days" />
                <meta name="author" content="besttheme.net">
        <?php } ?>
        <?php if ( of_get_option('responsive_enablerobot')== '1') { ?>
        <!-- robots -->
        <meta name="robots" content="<?php echo of_get_option('responsive_metabots')  ?>" />
        <meta name="googlebot" content="<?php echo of_get_option('responsive_metagooglebot')  ?>" />
        <?php } ?>


        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
        <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/library/css/normalize.css">
        <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
        <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/library/css/media.css">

        <!-- wordpress head functions -->
        <?php wp_head(); ?>
        <!-- end of wordpress head -->

        <?php if(of_get_option('responsive_css_code') != '') { ?> 
        <!-- custom css -->  
                <?php load_template( get_template_directory() . '/custom.css.php' );?>
        <!-- custom css -->
        <?php } ?>

        <?php if(of_get_option('responsive_customtypography') == '1') { ?>     
        <!-- custom typography-->   
                <?php if(of_get_option('responsive_headingfontlink') != '') { ?>
                <?php echo stripslashes(html_entity_decode(of_get_option('responsive_headingfontlink')));?>
        <!-- custom typography -->
                <?php } ?>
                <?php load_template( get_template_directory() . '/custom.typography.css.php' );?>
        <?php } ?>
</head>
<body <?php body_class(); ?>>	   
<!-- header-menu -->
<div id='header-menu'>
    <!-- menu-primary-container -->
    <div class="block clearfix">
        <!-- begin #topMenu -->
        <div id="navigation-wrapper" class="clearfix">
            <select id = "responsive-main-nav-menu" onchange = "javascript:window.location.replace(this.value);">
                <option selected="selected" ><?php _e('Menu', 'bhardwajaframework'); ?></option>
            </select>						
                <nav id="main-navigation" class="main-menu">
                    <?php
                        besttheme_main_nav( array(
                            'container' =>false,
                            'menu_class' => '',
                            'echo' => true,
                            'before' => '',
                            'after' => '',
                            'link_before' => '',
                            'link_after' => '',
                            'depth' => 0
                                            )
                                            );
                     // Adjust using Menus in Wordpress Admin ?>
                    </nav>
           </div>
            <!-- end #topMenu -->  
        </div>
        <!-- END "div.menu-primary-container" -->
</div>
<!-- END "div#header_menu" -->



<!-- header_area -->
<div id='header_area'>
<!-- header -->
<div class="block clearfix">
 <!-- begin #logo -->
        <div id="logo">
            <h1>
                <a href="<?php echo home_url(); ?>">
                <?php if ( of_get_option('responsive_clogo')!= '') { ?>
                <img src="<?php echo of_get_option('responsive_clogo'); ?>" alt="<?php echo bloginfo( 'name' ) ?>" />
                <?php } elseif( of_get_option('responsive_clogo_text')!= '') {
                        echo of_get_option('responsive_clogo_text');
                } else {
                        bloginfo( 'name' );
                }?>
                </a>
                <span><?php bloginfo('description'); ?></span>
            </h1>
        </div>
        <!-- end #logo -->
        
<!-- begin 468x60 ad -->
<div class='upper_ad_area'>
	<a href='<?php echo of_get_option('responsive_bannerlink');?>' target='_blank'>
		<img 
			alt='<?php echo of_get_option('responsive_bannertitle');?>' 
			src='<?php echo of_get_option('responsive_bannerimg');?>' 
			title='<?php echo of_get_option('responsive_bannertitle');?>'
		/>
	</a>
</div>
<!-- end 468x60 ad -->
<div class='clear'></div>
</div><!-- END "div#header" -->
</div><!-- END "div#header_area" -->
<!-- Social_area -->


<div id='header-bottom'>
<div class="block clearfix">
<!-- begin #social -->
<div id="social-large">
    <ul>
           <?php if(of_get_option('responsive_google')!="#" and of_get_option('responsive_google')!=""){ ?>
            <li>
                <a href="<?php echo of_get_option('responsive_google');?>" class="google hide-text" id="social-01" title="<?php _e( 'Join Us on Google+!', 'bhardwajaframework' ); ?>">Google +</a>
            </li>
        <?php } ?>
        <?php if(of_get_option('responsive_twitter')!="#" and of_get_option('responsive_twitter')!=""){ ?>
            <li>
                <a href="<?php echo of_get_option('responsive_twitter');?>" class="twitter hide-text" id="social-02" title="<?php _e( 'Join Us on Twitter!', 'bhardwajaframework' ); ?>">Twitter</a>
            </li>
        <?php } ?>
        <?php if(of_get_option('responsive_facebook')!="#" and of_get_option('responsive_facebook')!=""){ ?>
            <li>
                <a href="<?php echo of_get_option('responsive_facebook');?>" class="facebook hide-text" id="social-03" title="<?php _e( 'Join Us on Facebook!', 'bhardwajaframework' ); ?>">Facebook</a>
            </li>
        <?php } ?>
        <?php if(of_get_option('responsive_linkedin')!="#" and of_get_option('responsive_linkedin')!=""){ ?>
            <li>
                <a href="<?php echo of_get_option('responsive_linkedin');?>" class="linkedin hide-text" id="social-04" title="<?php _e( 'Join Us on Linkdin!', 'bhardwajaframework' ); ?>">Linkdin</a>
            </li>
        <?php } ?>
              <?php if(of_get_option('responsive_pinterest')!="#" and of_get_option('responsive_pinterest')!=""){ ?>
            <li>
                <a href="<?php echo of_get_option('responsive_pinterest');?>" class="pinterest hide-text" id="social-05" title="<?php _e( 'Join Us on Pinterest!', 'bhardwajaframework' ); ?>">Pinterest</a>
            </li>
        <?php } ?>
        <?php if(of_get_option('responsive_extrss')!="#" and of_get_option('responsive_extrss')!=""){ ?>
            <li>
                <a href="<?php echo of_get_option('responsive_extrss'); ?>" class="rss hide-text" id="social-06" title="<?php _e( 'RSS!', 'bhardwajaframework' ); ?>">RSS</a>
            </li>
        <?php } else { ?>
            <li>
                <a href="<?php bloginfo('rss2_url'); ?>" class="rss hide-text" id="social-06" title="<?php _e( 'RSS!', 'bhardwajaframework' ); ?>">RSS</a>
            </li>
        <?php } ?>	
    </ul>
</div>
 <select id="responsive-social-menu" onchange = "javascript:window.location.replace(this.value);"><option selected="selected" ><?php _e('Social Links', 'bhardwajaframework'); ?></select>
<!-- end #social -->       
    
<!-- #search Large -->
 <div id="search-large" class="searchlarge">
 <form id="searchform" action="<?php echo home_url( '/' ); ?>" method="get">
 <input type="text" id="s" name="s" value="<?php _e("search..", "bhardwajaframework"); ?>" onFocus="this.value=''" />
</form>
</div>
<!-- END #search -->
<div class='clear'></div>
</div>
</div>
<!-- END "div#social_area" --> 
    
    
<!-- begin #mainWrapper -->
<div id="wrapper">
<!--begin #content-->
<div id="content" role="main" class="block clearfix">